;InnoSetupVersion=2.0.18

[Setup]
AppName=OrangeCD Suite
AppVerName=OrangeCD Suite version 5.1.0
AppId=OrangeCD Suite
AppPublisher=Firetongue Software
AppPublisherURL=http://www.firetongue.com
AppSupportURL=http://www.firetongue.com
AppUpdatesURL=http://www.firetongue.com
DefaultDirName={pf}\OrangeCD
DefaultGroupName=OrangeCD 5.1
OutputBaseFilename=setup_su
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\dadbapp.exe"; DestDir: "{app}"; 
Source: "{app}\ocdimg.dll"; DestDir: "{app}"; 
Source: "{app}\ocdapi.dll"; DestDir: "{app}"; 
Source: "{app}\ocdie.dll"; DestDir: "{app}"; 
Source: "{app}\dadb.dll"; DestDir: "{app}"; 
Source: "{app}\reghelp.exe"; DestDir: "{app}"; 
Source: "{app}\orangecd.exe"; DestDir: "{app}"; 
Source: "{app}\nls_en.dll"; DestDir: "{app}"; 
Source: "{app}\dadb.chm"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\whatsnew.txt"; DestDir: "{app}"; 
Source: "{app}\cdplayer.reg"; DestDir: "{app}"; 
Source: "{sys}\mfc42.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msvcrt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{userdocs}\My Music\Sample Database.dab"; DestDir: "{userdocs}\My Music"; Flags: uninsneveruninstall 
Source: "{app}\Templates\Default Theme.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\Simple List.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\Simple Table.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\Thumbnail Table.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\Basic Web Site.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\List with Details.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\List with Details on Separate Page.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\Advanced Web Site.dax"; DestDir: "{app}\Templates"; 
Source: "{app}\Templates\tips.txt"; DestDir: "{app}\Templates"; 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\OrangeCD"; Flags: deletekey 
Root: HKCU; Subkey: "SOFTWARE\Firetongue\Organizer\FrameState"; Flags: deletekey 
Root: HKCU; Subkey: "SOFTWARE\Firetongue\Organizer\Messages"; Flags: deletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\OrangeCD Player_is1"; Flags: deletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\orangecd.exe"; ValueType: String; ValueData: "{app}\orangecd.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\orangecd.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 
Root: HKCR; Subkey: "CLSID\{{FC5A53D0-4C0E-11D3-8BDA-0080ADB8683C}"; ValueType: String; ValueData: "DADB.Database"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{FC5A53D0-4C0E-11D3-8BDA-0080ADB8683C}\InProcServer32"; ValueType: String; ValueData: "{app}\dadb.dll"; 
Root: HKCR; Subkey: "CLSID\{{FC5A53D0-4C0E-11D3-8BDA-0080ADB8683C}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{FC5A53D0-4C0E-11D3-8BDA-0080ADB8683C}\ProgID"; ValueType: String; ValueData: "DADB.Database"; 
Root: HKCR; Subkey: "PROTOCOLS\Handler\dadb"; ValueType: String; ValueData: "DADB:Digital Audio Database handler"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PROTOCOLS\Handler\dadb"; ValueName: "CLSID"; ValueType: String; ValueData: "{{82D6F09F-4AC2-11D3-8BD9-0080ADB8683C}"; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\dadbapp.exe"; ValueType: String; ValueData: "{app}\dadbapp.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\dadbapp.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{76D478D1-5213-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "CDDB native format import"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{B5952DD0-521F-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "CDPLAYER.INI import"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{F6494352-521D-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "ASCII text export"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{0245E9B0-3227-11d5-BCF7-0080ADB8683C}"; ValueType: String; ValueData: "HTML export"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{F6494354-521D-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "OrangeCD 2.0 import"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{8BB182E6-B4B8-47ae-8244-315BDA5DA6BF}"; ValueType: String; ValueData: "Export CDDB"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{68A24D6C-B37D-4add-A2E4-D21911A5DABE}"; ValueType: String; ValueData: "Create text report"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Firetongue\DADB\Plugins\{{28AB8D96-BB7A-4c47-BE02-F0E501D69E3B}"; ValueType: String; ValueData: "OrangeCD 3.0"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{82D6F09F-4AC2-11D3-8BD9-0080ADB8683C}"; ValueType: String; ValueData: "DADB.PluggableProtocolHandler"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{82D6F09F-4AC2-11D3-8BD9-0080ADB8683C}\InProcServer32"; ValueType: String; ValueData: "{app}\dadb.dll"; 
Root: HKCR; Subkey: "CLSID\{{82D6F09F-4AC2-11D3-8BD9-0080ADB8683C}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{82D6F09F-4AC2-11D3-8BD9-0080ADB8683C}\ProgID"; ValueType: String; ValueData: "DADB.PluggableProtocolHandler"; 
Root: HKCR; Subkey: "CLSID\{{76D478D1-5213-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "DADB.CDDBPlugin"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{76D478D1-5213-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueType: String; ValueData: "{app}\ocdie.dll"; 
Root: HKCR; Subkey: "CLSID\{{76D478D1-5213-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{76D478D1-5213-11D3-8BDD-0080ADB8683C}\ProgID"; ValueType: String; ValueData: "DADB.CDDBPlugin"; 
Root: HKCR; Subkey: "CLSID\{{B5952DD0-521F-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "DADB.CDPlayerPlugin"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{B5952DD0-521F-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueType: String; ValueData: "{app}\ocdie.dll"; 
Root: HKCR; Subkey: "CLSID\{{B5952DD0-521F-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{B5952DD0-521F-11D3-8BDD-0080ADB8683C}\ProgID"; ValueType: String; ValueData: "DADB.CDPlayerPlugin"; 
Root: HKCR; Subkey: "CLSID\{{F6494352-521D-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "DADB.ASCIIPlugin"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{F6494352-521D-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueType: String; ValueData: "{app}\ocdie.dll"; 
Root: HKCR; Subkey: "CLSID\{{F6494352-521D-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{F6494352-521D-11D3-8BDD-0080ADB8683C}\ProgID"; ValueType: String; ValueData: "DADB.ASCIIPlugin"; 
Root: HKCR; Subkey: "CLSID\{{0245E9B0-3227-11d5-BCF7-0080ADB8683C}"; ValueType: String; ValueData: "DADB.HTMLPlugin"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{0245E9B0-3227-11d5-BCF7-0080ADB8683C}\InProcServer32"; ValueType: String; ValueData: "{app}\dadb.dll"; 
Root: HKCR; Subkey: "CLSID\{{0245E9B0-3227-11d5-BCF7-0080ADB8683C}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{0245E9B0-3227-11d5-BCF7-0080ADB8683C}\ProgID"; ValueType: String; ValueData: "DADB.HTMLPlugin"; 
Root: HKCR; Subkey: "CLSID\{{F6494354-521D-11D3-8BDD-0080ADB8683C}"; ValueType: String; ValueData: "DADB.Version20Plugin"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{F6494354-521D-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueType: String; ValueData: "{app}\ocdie.dll"; 
Root: HKCR; Subkey: "CLSID\{{F6494354-521D-11D3-8BDD-0080ADB8683C}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{F6494354-521D-11D3-8BDD-0080ADB8683C}\ProgID"; ValueType: String; ValueData: "DADB.Version20Plugin"; 
Root: HKCR; Subkey: "CLSID\{{8BB182E6-B4B8-47ae-8244-315BDA5DA6BF}"; ValueType: String; ValueData: "DADB.CDDBExport"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{8BB182E6-B4B8-47ae-8244-315BDA5DA6BF}\InProcServer32"; ValueType: String; ValueData: "{app}\ocdie.dll"; 
Root: HKCR; Subkey: "CLSID\{{8BB182E6-B4B8-47ae-8244-315BDA5DA6BF}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{8BB182E6-B4B8-47ae-8244-315BDA5DA6BF}\ProgID"; ValueType: String; ValueData: "DADB.CDDBExport"; 
Root: HKCR; Subkey: "CLSID\{{68A24D6C-B37D-4add-A2E4-D21911A5DABE}"; ValueType: String; ValueData: "DADB.TextReportPlugin"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{68A24D6C-B37D-4add-A2E4-D21911A5DABE}\InProcServer32"; ValueType: String; ValueData: "{app}\ocdie.dll"; 
Root: HKCR; Subkey: "CLSID\{{68A24D6C-B37D-4add-A2E4-D21911A5DABE}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{68A24D6C-B37D-4add-A2E4-D21911A5DABE}\ProgID"; ValueType: String; ValueData: "DADB.TextReportPlugin"; 
Root: HKCR; Subkey: "CLSID\{{28AB8D96-BB7A-4c47-BE02-F0E501D69E3B}"; ValueType: String; ValueData: "DADB.DABPlugin"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{28AB8D96-BB7A-4c47-BE02-F0E501D69E3B}\InProcServer32"; ValueType: String; ValueData: "{app}\ocdie.dll"; 
Root: HKCR; Subkey: "CLSID\{{28AB8D96-BB7A-4c47-BE02-F0E501D69E3B}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{28AB8D96-BB7A-4c47-BE02-F0E501D69E3B}\ProgID"; ValueType: String; ValueData: "DADB.DABPlugin"; 
Root: HKCR; Subkey: "CLSID\{{AB005629-0AFA-11D5-BCE6-082201440300}"; ValueType: String; ValueData: "AlbumList Control"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{AB005629-0AFA-11D5-BCE6-082201440300}\Control"; ValueType: String; 
Root: HKCR; Subkey: "CLSID\{{AB005629-0AFA-11D5-BCE6-082201440300}\InProcServer32"; ValueType: String; ValueData: "{app}\dadb.dll"; 
Root: HKCR; Subkey: "CLSID\{{AB005629-0AFA-11D5-BCE6-082201440300}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{AB005629-0AFA-11D5-BCE6-082201440300}\ProgID"; ValueType: String; ValueData: "DADB.AlbumList.1"; 
Root: HKCR; Subkey: "CLSID\{{AB005629-0AFA-11D5-BCE6-082201440300}\TypeLib"; ValueType: String; ValueData: "{{82D6F092-4AC2-11D3-8BD9-0080ADB8683C}"; 
Root: HKCR; Subkey: "CLSID\{{AB005629-0AFA-11D5-BCE6-082201440300}\Version"; ValueType: String; ValueData: "1.0"; 
Root: HKCR; Subkey: ".dab"; ValueType: String; ValueData: "dabfile"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "dabfile"; ValueType: String; ValueData: "OrangeCD Database"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "dabfile\DefaultIcon"; ValueType: String; ValueData: "{app}\dadbapp.exe,-4"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "dabfile\shell"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "dabfile\shell\open"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "dabfile\shell\open\command"; ValueType: String; ValueData: """{app}\dadbapp.exe"" ""%1"""; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".dax"; ValueType: String; ValueData: "daxfile"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daxfile"; ValueType: String; ValueData: "OrangeCD Web Template"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daxfile\DefaultIcon"; ValueType: String; ValueData: "{app}\dadbapp.exe,-3"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daxfile\shell"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daxfile\shell\open"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daxfile\shell\open\command"; ValueType: String; ValueData: """{app}\dadbapp.exe"" ""%1"""; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daxfile\shell\edit"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daxfile\shell\edit\command"; ValueType: String; ValueData: """{sys}\NOTEPAD.EXE"" ""%1"""; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".daq"; ValueType: String; ValueData: "daqfile"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daqfile"; ValueType: String; ValueData: "OrangeCD Query"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daqfile\DefaultIcon"; ValueType: String; ValueData: "{app}\dadbapp.exe,-2"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daqfile\shell"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daqfile\shell\open"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "daqfile\shell\open\command"; ValueType: String; ValueData: """{app}\dadbapp.exe"" ""%1"""; Flags: uninsdeletekey 

[INI]
FileName: "{app}\dadbapp.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.firetongue.com"; 

[Run]
Filename: "{app}\dadbapp.exe"; Description: "Launch OrangeCD &Catalog now"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\orangecd.exe"; Parameters: "/uninstall"; 

[Icons]
Name: "{group}\OrangeCD Catalog"; Filename: "{app}\dadbapp.exe"; 
Name: "{group}\OrangeCD Player"; Filename: "{app}\orangecd.exe"; 
Name: "{group}\Enter Registration"; Filename: "{app}\reghelp.exe"; 
Name: "{group}\OrangeCD web site"; Filename: "{app}\dadbapp.url"; 
Name: "{group}\ReadMe.txt"; Filename: "{app}\readme.txt"; 
Name: "{group}\Sample Database"; Filename: "{app}\dadbapp.exe"; Parameters: """{userdocs}\My Music\Sample Database.dab"""; 
Name: "{userdesktop}\OrangeCD Catalog"; Filename: "{app}\dadbapp.exe"; Tasks: desktopicon1; 
Name: "{userdesktop}\OrangeCD Player"; Filename: "{app}\orangecd.exe"; Tasks: desktopicon2; 

[Tasks]
Name: "desktopicon1"; Description: "Create a desktop icon for OrangeCD &Catalog"; GroupDescription: "Desktop icons:"; 
Name: "desktopicon2"; Description: "Create a desktop icon for OrangeCD &Player"; GroupDescription: "Desktop icons:"; 

[InstallDelete]
Type: filesandordirs; Name: "{userprograms}\OrangeCD"; 
Type: files; Name: "{group}\Uninstall OrangeCD Player.lnk"; 

[UninstallDelete]
Type: files; Name: "{app}\dadbapp.url"; 
